post
https://sandbox.saner.secpod.com/PAScanner/postWhitelist
Replace the whitelist of Posture Anomaly (PA) IDs for an account, overwriting prior entries.
This method is used to update whitelist PA-IDs for a given account. However, in scenarios where you want to retain the existing whitelisted PA IDs and add new PA IDs to the existing whitelist, we recommend you take the response from the Get Whitelist API, add the new PA IDs, and pass it as a request to the Post Whitelist API.
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.PostureAnomaly.postWhitelist(
account_name="January",
whitelist= {
"whitelist_items": [{
"type": "detection",
"whitelist": ["PA-2022-1001", "PA-2022-1002", "PA-2022-1003", "PA-2022-1004", "PA-2022-1005"]
}]
}
)
print(response)
client.close()Requires Python 3.9 or later.